Bug 36367

Summary: [Qt] Maemo5 theme - all <select> elements should be rendered as menu lists.
Product: WebKit Reporter: Luiz Agostini <luiz>
Component: PlatformAssignee: Luiz Agostini <luiz>
Status: CLOSED FIXED    
Severity: Normal CC: eric, hausmann, kenneth
Priority: P2 Keywords: Qt
Version: 528+ (Nightly build)   
Hardware: Other   
OS: Linux   
Bug Depends on:    
Bug Blocks: 36372    
Attachments:
Description Flags
patch 1 commit-queue: commit-queue-

Description Luiz Agostini 2010-03-19 08:09:29 PDT
all <select> elements must be rendered as menu lists in maemo5
Comment 1 Tor Arne Vestbø 2010-03-22 06:37:00 PDT
Bugs relating to the Qt port of WebKit should have the Qt keyword. See http://trac.webkit.org/wiki/QtWebKitBugs
Comment 2 Luiz Agostini 2010-03-23 12:25:44 PDT
Created attachment 51445 [details]
patch 1
Comment 3 WebKit Commit Bot 2010-03-23 13:06:26 PDT
Comment on attachment 51445 [details]
patch 1

Clearing flags on attachment: 51445

Committed r56411: <http://trac.webkit.org/changeset/56411>
Comment 4 WebKit Commit Bot 2010-03-23 13:06:32 PDT
Comment on attachment 51445 [details]
patch 1

Rejecting patch 51445 from commit-queue.

Unexpected failure when landing patch!  Please file a bug against webkit-patch.
Failed to run "['WebKitTools/Scripts/webkit-patch', '--status-host=webkit-commit-queue.appspot.com', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', '--build-style=both', '--quiet', '51445', '--no-update']" exit_code: 1
Last 500 characters of output:
0/mechanize-0.1.11.zip/mechanize-0.1.11/mechanize/_html.py", line 546, in __getattr__
  File "/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/webkitpy/thirdparty/autoinstall.cache.d/-1555206040/mechanize-0.1.11.zip/mechanize-0.1.11/mechanize/_html.py", line 559, in forms
  File "/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/webkitpy/thirdparty/autoinstall.cache.d/-1555206040/mechanize-0.1.11.zip/mechanize-0.1.11/mechanize/_html.py", line 228, in forms
mechanize._html.ParseError
Comment 5 Luiz Agostini 2010-03-23 13:46:39 PDT
(In reply to comment #4)
> (From update of attachment 51445 [details])
> Rejecting patch 51445 from commit-queue.
> 
> Unexpected failure when landing patch!  Please file a bug against webkit-patch.
> Failed to run "['WebKitTools/Scripts/webkit-patch',
> '--status-host=webkit-commit-queue.appspot.com', 'land-attachment',
> '--force-clean', '--non-interactive', '--parent-command=commit-queue',
> '--build-style=both', '--quiet', '51445', '--no-update']" exit_code: 1
> Last 500 characters of output:
> 0/mechanize-0.1.11.zip/mechanize-0.1.11/mechanize/_html.py", line 546, in
> __getattr__
>   File
> "/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/webkitpy/thirdparty/autoinstall.cache.d/-1555206040/mechanize-0.1.11.zip/mechanize-0.1.11/mechanize/_html.py",
> line 559, in forms
>   File
> "/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/webkitpy/thirdparty/autoinstall.cache.d/-1555206040/mechanize-0.1.11.zip/mechanize-0.1.11/mechanize/_html.py",
> line 228, in forms
> mechanize._html.ParseError

Hi Eric

The patch was landed but something went wrong with the commit-queue, could you please have a look when you have time.
Comment 6 Luiz Agostini 2010-03-24 11:27:35 PDT
patch is landed.
Comment 7 Eric Seidel (no email) 2010-03-25 01:01:07 PDT
<select> in the bug page confused mechanize.  WE need to use the robust parser, we have a bug on that somewhere.
Comment 8 Eric Seidel (no email) 2010-03-25 01:01:30 PDT
bug 33659